Skip to main content

List audit events

GET 

/audit-events

List audit events

Request

Query Parameters

    page integer

    Possible values: >= 1

    Page number (1-based).

    Default value: 1
    pageSize integer

    Possible values: >= 1 and <= 100

    Items per page (max 100).

    Default value: 25
    entityType string

    Filter by entity type (e.g. entry, project).

    action string

    Filter by action (e.g. create, update, delete).

OK

Schema

    data

    object[]

    required

  • Array [

  • iduuidrequired
    Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    entityTypestringrequired
    Example: entry
    actionstringrequired
    Example: create
    entityIdstringrequired
    Example: 7b1e2c3d-0000-0000-0000-000000000001
    entityNamestring | nullnullablerequired
    Example: Login bug on mobile Safari
    actorIduuidnullablerequired
    Example: 9a8b7c6d-0000-0000-0000-000000000002

    metadata

    object,null

    required

    Structured metadata. API-key writes include actorType: 'api_key' and apiKeyId.

    property name*anynullable

    Structured metadata. API-key writes include actorType: 'api_key' and apiKeyId.

    createdAtdate-timerequired
    Example: 2025-01-15T10:30:00Z
  • ]

  • pageintegerrequired
    Example: 1
    pageSizeintegerrequired
    Example: 25
    totalintegerrequired
    Example: 100